Get Inbound Payment Intent via Integration
Fetch an inbound payment intent
Required Scopes:
payment_intent.inbound:read transactions:read
Path Parameters
- Type: stringFormat: uuid
uid requiredThe
uidof the payment intent
Responses
- application/json
- application/json
Request Example for get/v1/payment-intents/inbound/{uid}/
curl https://api.foundation.dev.trusspayments.com/v1/payment-intents/inbound/123e4567-e89b-12d3-a456-426614174000/ \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"total": "string",
"addenda": "string",
"direction": 0,
"note": null,
"memo": null,
"due_date": null,
"contact": {
"uid": "123e4567-e89b-12d3-a456-426614174000",
"name": "string",
"email": null,
"secondary_email": null,
"phone": null
},
"status": "string",
"balance_paid": "string",
"created_at": "2026-04-08T21:22:32.421Z",
"pending_at": null,
"paid_at": null,
"canceled_at": null,
"transactions": [
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"amount": "string",
"addenda": null,
"type": "transaction",
"payment_method": "ach",
"date": "2026-04-08T21:22:32.421Z",
"preprocessed_at": "2026-04-08T21:22:32.421Z",
"processed_at": "2026-04-08T21:22:32.421Z",
"posted_at": "2026-04-08T21:22:32.421Z",
"settled_at": "2026-04-08T21:22:32.421Z",
"returned_at": "2026-04-08T21:22:32.421Z",
"status": "ReturnedTransaction",
"direction": 0
}
]
}
